<script lang="ts" setup>
//@ts-ignore
import WorkspaceProvider from "@/components/WorkspaceProvider.vue";
//@ts-ignore
import DefaultLayout from "@/views/LayoutPage/DefaultLayout.vue";
</script>

<template>
  <div>
    <workspace-provider>
      <default-layout>
        <router-view />
      </default-layout>
    </workspace-provider>
  </div>
</template>

<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
